commit f7ddb2b6dbacd2a6559bf47d43f6d907904cdd89
Author: Nathaniel Shead <nathanieloshead@gmail.com>
Date:   Sun Jan 12 04:35:08 2025 +1100

    testsuite: Fix flag used for modules test
    
    GCC14 doesn't have the new spelling '-fmodules' for enabling modules;
    use the old '-fmodules-ts' spelling instead.
    
    gcc/testsuite/ChangeLog:
    
            * g++.dg/modules/pr114630_a.C: Use -fmodules-ts instead of
            -fmodules in testcase.
            * g++.dg/modules/pr114630_b.C: Likewise.
            * g++.dg/modules/pr114630_c.C: Likewise.
    
    Signed-off-by: Nathaniel Shead <nathanieloshead@gmail.com>

diff --git a/gcc/testsuite/g++.dg/modules/pr114630_a.C b/gcc/testsuite/g++.dg/modules/pr114630_a.C
index ecfd7ca0b28..dde8388e743 100644
--- a/gcc/testsuite/g++.dg/modules/pr114630_a.C
+++ b/gcc/testsuite/g++.dg/modules/pr114630_a.C
@@ -1,4 +1,4 @@
-// { dg-additional-options "-fmodules" }
+// { dg-additional-options "-fmodules-ts" }
 // { dg-module-cmi X }
 
 module;
diff --git a/gcc/testsuite/g++.dg/modules/pr114630_b.C b/gcc/testsuite/g++.dg/modules/pr114630_b.C
index 52fe04e2ce0..e41ddcdfb8e 100644
--- a/gcc/testsuite/g++.dg/modules/pr114630_b.C
+++ b/gcc/testsuite/g++.dg/modules/pr114630_b.C
@@ -1,4 +1,4 @@
-// { dg-additional-options "-fmodules" }
+// { dg-additional-options "-fmodules-ts" }
 // { dg-module-cmi Y }
 
 module;
diff --git a/gcc/testsuite/g++.dg/modules/pr114630_c.C b/gcc/testsuite/g++.dg/modules/pr114630_c.C
index 54a21f08057..61d89829588 100644
--- a/gcc/testsuite/g++.dg/modules/pr114630_c.C
+++ b/gcc/testsuite/g++.dg/modules/pr114630_c.C
@@ -1,4 +1,4 @@
-// { dg-additional-options "-fmodules" }
+// { dg-additional-options "-fmodules-ts" }
 
 #include "pr114630.h"
 import Y;

